<?php
    function recoger_sesion($indice)
    {
        global $HTTP_SESSION_VARS;

        //Recoge el valor, si puede, por session:
        if (isset($HTTP_SESSION_VARS[$indice])) { $valor = $HTTP_SESSION_VARS[$indice]; }
        else if (isset($_SESSION[$indice])) { $valor = $_SESSION[$indice]; }
        else { $valor = FALSE; }

        //Lo decodifica y quita los espacios al principio y al final:
        $valor = trim($valor);
        
        //Si es necesario (si esta activada la directiva magic_quotes_gpc), se le quitan las barras:
        //if (get_magic_quotes_gpc()) { $valor = stripslashes($valor); }

        //Devuelve el valor:
        return $valor;
    }
?>
